> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/platform-service/user/member/describemember.md).

# DescribeMember

## 1. 接口描述

本接口(DescribeMember)用于查询单个成员信息。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称    | 必选 | 类型     | 描述      |
| ------- | -- | ------ | ------- |
| userUid | 是  | String | 用户唯一ID。 |

## 3. 响应结果

| 参数名称             | 类型     | 描述                                                       |
| ---------------- | ------ | -------------------------------------------------------- |
| requestId        | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| memberId         | String | 成员列表唯一ID。                                                |
| userUid          | String | 用户唯一ID。                                                  |
| firstName        | String | 用户名称。                                                    |
| lastName         | String | 用户姓氏。                                                    |
| username         | String | 用户邮箱。                                                    |
| assignmentStatus | String | <p>用户邀请状态。</p><p>ACTIVE：已加入,PENDING: 待确认</p>             |
| updateTime       | String | 更新时间。                                                    |
| createTime       | String | 加入时间。                                                    |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询单个成员。**

```json
POST /api/v2/user HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeMember
<Common Request Params>

Request：
{
  "userUid": "userUid"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D4",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D4",
    "memberId": "memberId",
    "userUid": "userUid",
    "firstName": "firstName",
    "lastName": "lastName",
    "username": "username",
    "assignmentStatus": "PENDING",
    "updateTime": "2025-09-08T12:00:00Z",
    "createTime": "2025-09-08T12:00:00Z"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码              | 说明        |
| ------- | ---------------- | --------- |
| 404     | USER\_NOT\_FOUND | 指定的用户不存在。 |
